Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class SyslogQuietWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              org.apache.log4j.helpers.QuietWriter
                  org.apache.log4j.helpers.SyslogQuietWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class SyslogQuietWriter

extends QuietWriter

SyslogQuietWriter extends QuietWriter by prepending the syslog level code before each printed String.

Since:
  0.7.3

Field Summary

Fields inherited from class org.apache.log4j.helpers.QuietWriter
`errorHandler`

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`SyslogQuietWriter(java.io.Writer writer, int syslogFacility, ErrorHandler eh)`

Method Summary
`void` | `setLevel(int level)`
`void` | `setSyslogFacility(int syslogFacility)`
`void` | `write(java.lang.String string)`

Methods inherited from class org.apache.log4j.helpers.QuietWriter
`flush, setErrorHandler`

Methods inherited from class java.io.FilterWriter
`close, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyslogQuietWriter

    public SyslogQuietWriter(java.io.Writer writer,
                             int syslogFacility,
                             ErrorHandler eh)

Method Detail

### setLevel

    public void setLevel(int level)

### setSyslogFacility

    public void setSyslogFacility(int syslogFacility)

### write

    public void write(java.lang.String string)

  Overrides:
    `write` in class `QuietWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.